package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcGovernmentWeb;

/**
 * 政府网站Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcGovernmentWebMapper 
{
    /**
     * 查询政府网站
     * 
     * @param id 政府网站主键
     * @return 政府网站
     */
    public TcGovernmentWeb selectTcGovernmentWebById(Long id);

    /**
     * 查询政府网站列表
     * 
     * @param tcGovernmentWeb 政府网站
     * @return 政府网站集合
     */
    public List<TcGovernmentWeb> selectTcGovernmentWebList(TcGovernmentWeb tcGovernmentWeb);

    /**
     * 新增政府网站
     * 
     * @param tcGovernmentWeb 政府网站
     * @return 结果
     */
    public int insertTcGovernmentWeb(TcGovernmentWeb tcGovernmentWeb);

    /**
     * 修改政府网站
     * 
     * @param tcGovernmentWeb 政府网站
     * @return 结果
     */
    public int updateTcGovernmentWeb(TcGovernmentWeb tcGovernmentWeb);

    /**
     * 删除政府网站
     * 
     * @param id 政府网站主键
     * @return 结果
     */
    public int deleteTcGovernmentWebById(Long id);

    /**
     * 批量删除政府网站
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcGovernmentWebByIds(Long[] ids);
}
